Debian Bug report logs - #522854
RFP: openbve -- rail simulator/game engine, compatible with BVE routes+trains

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Paul Sladen <debian@paul.sladen.org>

Date: Mon, 6 Apr 2009 23:36:04 UTC

Severity: wishlist

Fixed in versions openbve-data/1.4.0.5+dfsg-1, openbve/1.4.0.5-1

Done: Paul Sladen <debian@paul.sladen.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#522854; Package wnpp. (Mon, 06 Apr 2009 23:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Sladen <debian@paul.sladen.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. (Mon, 06 Apr 2009 23:36:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Sladen <debian@paul.sladen.org>
To: Debbugs <submit@bugs.debian.org>
Subject: ITP: openbve -- rail simulator/game engine, compatible with BVE routes+trains
Date: Tue, 7 Apr 2009 00:34:35 +0100 (BST)
Package: wnpp
Owner: Paul Sladen <debian@paul.sladen.org>
Severity: wishlist

* Package name:         openbve
* Version:              1.0.2.0
* Upstream author:      Michelle Boucquemont
* URL:                  http://openbve.uuuq.com/
* Licence:              Public domain
* Programming Language: C#
* Description:          realistic 3D train/railway simulator (game engine)

OpenBVE is a railway/train simulator designed to be backwards
compatible with existing 'BVE Trainsim' routes and cab
interiors.
.
Cross-platform using CLI and Mono.
. 
http://openbve.uuuq.com/

I have already packaged this for Ubuntu, and hope to have it sponsored and
moved across to sid, to allow future released to be made in Debian and
pulled Debian->Ubuntu;  Current git trees:

  http://github.com/sladen/openbve/tree/debian
  http://github.com/sladen/openbve-data/tree/debian

Additionally, the availability of one public domain Route and one public
domain Train have been negotiated from two other sources:

  http://www.trainsimcentral.co.uk/bve_train.htm
  http://www.railsimroutes.co.uk/x-city_south/

Currently kept respectively in git:

  http://github.com/sladen/bve-route-cross-city-south/tree/debian
  http://github.com/sladen/bve-train-br-class-323/tree/debian


	-Paul
-- 
Why do one side of a triangle when you can do all three.  Somewhere, GB.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Paul Sladen <debian@paul.sladen.org>:
Bug#522854; Package wnpp. (Tue, 25 May 2010 17:13:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Paul Sladen <debian@paul.sladen.org>. (Tue, 25 May 2010 17:13:45 GMT) Full text and rfc822 format available.

Message #10 received at 522854@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 522854@bugs.debian.org
Cc: control@bugs.debian.org
Subject: openbve: changing back from ITP to RFP
Date: Tue, 25 May 2010 17:06:40 +0000
retitle 522854 RFP: openbve -- rail simulator/game engine, compatible with BVE routes+trains
noowner 522854
thanks

Hi,

This is an automatic email to change the status of openbve back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting openbve, please send a mail to
<control@bugs.debian.org> with:

 retitle 522854 ITP: openbve -- rail simulator/game engine, compatible with BVE routes+trains
 owner 522854 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <522854@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: openbve -- rail simulator/game engine, compatible with BVE routes+trains' from 'ITP: openbve -- rail simulator/game engine, compatible with BVE routes+trains' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:20:34 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Paul Sladen <debian@paul.sladen.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:20:34 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#522854; Package wnpp. (Wed, 09 Mar 2011 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brian May <brian@microcomaustralia.com.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 09 Mar 2011 08:21:03 GMT) Full text and rfc822 format available.

Message #19 received at 522854@bugs.debian.org (full text, mbox):

From: Brian May <brian@microcomaustralia.com.au>
To: Adrian von Bidder <avbidder@fortytwo.ch>
Cc: debian-devel@lists.debian.org, "linus.kaltenbach" <linus.kaltenbach@hispeed.ch>, 522854@bugs.debian.org
Subject: Re: Frage zu eine DEB Paket
Date: Wed, 9 Mar 2011 19:18:51 +1100
On 9 March 2011 19:06, Adrian von Bidder <avbidder@fortytwo.ch> wrote:
> The answer to "why is X not in Debian" for free software packages is mostly:
> because nobody has done the work (yet.)

The package is already in Ubuntu:

http://packages.ubuntu.com/search?keywords=openbve

As such I would assume most of the hard work has already been done.

> Note that for openbve, a "Request for Package" has already been filed:
>        <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=522854>
> so at least one other person was interested in getting a package at some
> time.

CCed that bug report.
-- 
Brian May <brian@microcomaustralia.com.au>




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 24 Jan 2012 07:06:08 GMT) Full text and rfc822 format available.

Reply sent to Paul Sladen <debian@paul.sladen.org>:
You have taken responsibility. (Tue, 24 Jan 2012 21:24:04 GMT) Full text and rfc822 format available.

Notification sent to Paul Sladen <debian@paul.sladen.org>:
Bug acknowledged by developer. (Tue, 24 Jan 2012 21:24:04 GMT) Full text and rfc822 format available.

Message #26 received at 522854-close@bugs.debian.org (full text, mbox):

From: Paul Sladen <debian@paul.sladen.org>
To: 522854-close@bugs.debian.org
Subject: Bug#522854: fixed in openbve-data 1.4.0.5+dfsg-1
Date: Tue, 24 Jan 2012 21:17:49 +0000
Source: openbve-data
Source-Version: 1.4.0.5+dfsg-1

We believe that the bug you reported is fixed in the latest version of
openbve-data, which is due to be installed in the Debian FTP archive:

openbve-data_1.4.0.5+dfsg-1.debian.tar.gz
  to main/o/openbve-data/openbve-data_1.4.0.5+dfsg-1.debian.tar.gz
openbve-data_1.4.0.5+dfsg-1.dsc
  to main/o/openbve-data/openbve-data_1.4.0.5+dfsg-1.dsc
openbve-data_1.4.0.5+dfsg-1_all.deb
  to main/o/openbve-data/openbve-data_1.4.0.5+dfsg-1_all.deb
openbve-data_1.4.0.5+dfsg.orig.tar.gz
  to main/o/openbve-data/openbve-data_1.4.0.5+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 522854@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Sladen <debian@paul.sladen.org> (supplier of updated openbve-data package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 21 Jan 2012 22:21:00 +0100
Source: openbve-data
Binary: openbve-data
Architecture: source all
Version: 1.4.0.5+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Changed-By: Paul Sladen <debian@paul.sladen.org>
Description: 
 openbve-data - realistic 3D train/railway simulator (GUI icons and data)
Closes: 522854
Changes: 
 openbve-data (1.4.0.5+dfsg-1) unstable; urgency=low
 .
   * Openbve ITP (Closes: #522854)
   * New upstream stable release 1.4.0.5 (2012-01-22)
 .
 openbve-data (1.4.0.0+dfsg-2) UNRELEASED; urgency=low
 .
   [Paul Sladen]
   * Openbve ITP (Closes: #522854)
   * debian/changelog: DEP5 and bump copyright to latest upstream wording
   * debian/source/format: '3.0 (quilt)'
   * debian/source/options: single-debian-patch
   * debian/README.source: document 'mask.bin'
   * debian/control: bump standards to 3.9.2
   * debian/rules+control: convert to minimal debhelper 7 + bumps build-dep
 .
 openbve-data (1.4.0.0+dfsg-1) unstable; urgency=low
 .
   * Initial Debian upload
   * New upstream stable release 1.4.0.0 (2012-01-08)
     + ship 'Credits.txt' file in docs
     + update upstream URL to 'trainsimframework.org/*'
 .
 openbve-data (1.2.10.0+dfsg-0ubuntu1) natty; urgency=low
 .
   * New upstream stable release 1.2.10.0 (2010-12-19)
 .
 openbve-data (1.2.7.3+dfsg-0ubuntu1) maverick; urgency=low
 .
   * New upstream stable release 1.2.7.3 (2010-08-07)
 .
 openbve-data (1.2.7.0+dfsg-0ubuntu1) UNRELEASED; urgency=low
 .
   * New upstream stable release 1.2.7.0 (2010-07-11)
 .
 openbve-data (1.2.5.1+dfsg-0ubuntu1) lucid; urgency=low
 .
   * New upstream stable release 1.2.5.1 (2010-02-14)
 .
 openbve-data (1.2.3.1+dfsg-0ubuntu1) lucid; urgency=low
 .
   * New upstream stable release 1.2.3.1 (2009-11-29)
 .
 openbve-data (1.2.1.3+dfsg-0ubuntu1) unreleased; urgency=low
 .
   * New upstream stable release 1.2.1.3 (2009-08-31)
 .
 openbve-data (1.2.0.3+dfsg-0ubuntu1) karmic; urgency=low
 .
   * New upstream stable release 1.2.0.3 (2009-08-04)
   * debian/copyright: update to reflect minor wording changes
 .
 openbve-data (1.1.1.0+dfsg-0ubuntu1) unreleased; urgency=low
 .
   * New upstream development release 1.1.1.0 (2009-07-03)
 .
 openbve-data (1.0.7.2+dfsg-0ubuntu1) karmic; urgency=low
 .
   * New upstream release 1.0.7.2 (2009-06-17)
   * Expand debian/copyright based on feedback for acceptance into Debian
   * debian/control: Update homepage
 .
 openbve-data (1.0.6.2+dfsg-0ubuntu1) unreleased; urgency=low
 .
   * New upstream release 1.0.6.2 (2009-05-28)
 .
 openbve-data (1.0.6.0+dfsg-0ubuntu1) unreleased; urgency=low
 .
   * New upstream release 1.0.6.0 (2009-05-24)
 .
 openbve-data (1.0.2.0+dfsg-0ubuntu1) jaunty; urgency=low
 .
   * New upstream release 1.0.2.0 (2009-04-05) (LP: #356344)
   * Rename 'en-UK.cfg'->'en-GB.cfg'; and 'UK.png'->'GB.png'
   * Remove Recommends: openbve-data-icons; equivalents are now shipped upstream
 .
 openbve-data (0.9.6.0+dfsg-0ubuntu1) unreleased; urgency=low
 .
   * New upstream release 0.9.6.0 (2009-03-16)
   * debian/rules: downsize now various changes have gone upstream
 .
 openbve-data (0.9.5.5+dfsg-0ubuntu3) jaunty; urgency=low
 .
   * Rename Swiss-German and zh_* from ISO 639 to ISO 3166
     to allow better auto loading of translations from LANG/CultureInfo
 .
 openbve-data (0.9.5.5+dfsg-0ubuntu2) jaunty; urgency=low
 .
   * DFSG sanitise upstream tarball only;
     - Remove included .exe and .dll distributed by upstream but not used
       (Source for each is provided by the main 'openbve' package itself)
   * Initial release (LP: #331188)
 .
 openbve-data (0.9.5.5-0ubuntu1) jaunty; urgency=low
 .
   * Initial release (LP: #331188)
   * New upstream release 0.9.5.5, dated 20090217-2228
 .
 openbve-data (0.9.5.0-0ubuntu1) unreleased; urgency=low
 .
   * import 0.9.5.0, dated 20090201-1953
   * Debianise
Checksums-Sha1: 
 385f4871e83c4a9292631b0f0d48ae9b173b6bf1 2036 openbve-data_1.4.0.5+dfsg-1.dsc
 17836e9174a58702147e4f4982ebef6e1bc20406 1451451 openbve-data_1.4.0.5+dfsg.orig.tar.gz
 5242e0d25816ee425766aa43e4487de09498cc28 7517 openbve-data_1.4.0.5+dfsg-1.debian.tar.gz
 b3045120a4700173135891f4f4e6ef84556129ab 1463640 openbve-data_1.4.0.5+dfsg-1_all.deb
Checksums-Sha256: 
 30286f08bcc514e22a432d83d9ecc0c4fe149d5fa04a3c49d1a700d5de63bac1 2036 openbve-data_1.4.0.5+dfsg-1.dsc
 15178ef57e7d000971bded1fef34a4d80a9da44252d9d548e634113072a5736a 1451451 openbve-data_1.4.0.5+dfsg.orig.tar.gz
 d98cebd925718cebc029f00577318aa2fed5422c779224ce485e5dc537944cab 7517 openbve-data_1.4.0.5+dfsg-1.debian.tar.gz
 1b91d7544667dc8f04b43f04f11528f785de23b06ad9abaad0def67913bf27bd 1463640 openbve-data_1.4.0.5+dfsg-1_all.deb
Files: 
 982af475f79bf8f65e56cfa501115bff 2036 games optional openbve-data_1.4.0.5+dfsg-1.dsc
 b3d2e33df2ba5f66d5710805e56cec6e 1451451 games optional openbve-data_1.4.0.5+dfsg.orig.tar.gz
 145c7170bab61a447db95722ca76e0a4 7517 games optional openbve-data_1.4.0.5+dfsg-1.debian.tar.gz
 284e14b5789a34272c3c24fe80f66bbc 1463640 games optional openbve-data_1.4.0.5+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPHfEXAAoJEONS1cUcUEHUJ0wP/iToFCZ2AP9iM2c+RANSxcGK
KEWkcYg4RXxBAu8hUrR5JZDxMEze2Va7cioAcOEjeOGyx3slnhtZroqnAZT4i1tH
Kqks01DoS6pP1psHFCFB98SKSXYbeFLJvg0E17tFyBrWIsMaT5xqlVREbeaiFvU8
80pp0rEvNtTfE8yv/HHrddqbfQNUQ+j/ljqK3K5sV97tOM7M3uKwf0z6kwN1nDX6
TxA4quTxHawFXXRRxxqIJyAuNaRuxBLzGSA3jp8yECGoF5clMCSFvhzE8tdob/TZ
PY8MGllhnFEEFaw3rk8uwCl+TYLo3Kr6YZyCGvanDpFA5g05Snaq8Oqh311TyWwx
UV3tNRKguwhUdE0xZ5fmdn3OwoaoZ2vCKNSV3gPsbktmD16Y3+Zc+mwlEz/yonry
KoU0wpar6UGSfmCWCzNZQo2N2EPL0YcVJx8HcfvqcOhtr4mVCxq3mcisqaoCrsrn
tXSu+vXczUls9ZlWpX2qR3Ua2zkw36g6VSH0RyPt4OhctUME1DMo9ABUyLXFkPdC
vNESWN4wnLdHP2j3R4fGJFfr7+YMNpZqIQbsfufz9QUC1sJYQ2D622MCK61lyPuR
4nnN2Y20buTwYPjV/+u3188q/ODhK4+iSeb9vv8pH7dWYGlCmn6KqvGayZtu6I16
MDBvVop82Kuh0w3bZASj
=7jeH
-----END PGP SIGNATURE-----





Reply sent to Paul Sladen <debian@paul.sladen.org>:
You have taken responsibility. (Tue, 24 Jan 2012 21:24:07 GMT) Full text and rfc822 format available.

Notification sent to Paul Sladen <debian@paul.sladen.org>:
Bug acknowledged by developer. (Tue, 24 Jan 2012 21:24:07 GMT) Full text and rfc822 format available.

Message #31 received at 522854-close@bugs.debian.org (full text, mbox):

From: Paul Sladen <debian@paul.sladen.org>
To: 522854-close@bugs.debian.org
Subject: Bug#522854: fixed in openbve 1.4.0.5-1
Date: Tue, 24 Jan 2012 21:17:37 +0000
Source: openbve
Source-Version: 1.4.0.5-1

We believe that the bug you reported is fixed in the latest version of
openbve, which is due to be installed in the Debian FTP archive:

openbve_1.4.0.5-1.debian.tar.gz
  to main/o/openbve/openbve_1.4.0.5-1.debian.tar.gz
openbve_1.4.0.5-1.dsc
  to main/o/openbve/openbve_1.4.0.5-1.dsc
openbve_1.4.0.5-1_all.deb
  to main/o/openbve/openbve_1.4.0.5-1_all.deb
openbve_1.4.0.5.orig.tar.gz
  to main/o/openbve/openbve_1.4.0.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 522854@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Sladen <debian@paul.sladen.org> (supplier of updated openbve package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 21 Jan 2012 21:00:00 +0100
Source: openbve
Binary: openbve
Architecture: source all
Version: 1.4.0.5-1
Distribution: unstable
Urgency: low
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Changed-By: Paul Sladen <debian@paul.sladen.org>
Description: 
 openbve    - realistic 3D train/railway simulator (main program)
Closes: 522854
Changes: 
 openbve (1.4.0.5-1) unstable; urgency=low
 .
   * Openbve ITP (Closes: #522854)
   * New upstream stable release (1.4.0.5)
 .
 openbve (1.4.0.0-2) UNRELEASED; urgency=low
 .
   [Paul Sladen]
   * Openbve ITP (Closes: #522854)
   * debian/filesystem.cfg: use 'SpecialFolder.LocalApplicationData'
     + emulate behaviour until upstream allows LocalApplicationData
   * debian/README.source: document 'mask.bin'
   * debian/rules+control: convert to minimal debhelper 7 + bumps build-dep
   * debian/rules: use --with=cli
     + restore '--exclude-moduleref=AtsPluginProxy.dll'
       (removed >= 1.2.10.0-0ubuntu2) to stop errors
   * Provide more context for licensing discussions with upstream
   * Drop lynx dependency now that 'dh_installchangelogs' is used
   * Merge 'known-issues.txt' into main 'README.Debian'
 .
 openbve (1.4.0.0-1) experimental; urgency=low
 .
   * Initial Debian upload
   * New upstream stable release (1.4.0.0)
     + update upstream URL to 'trainsimframework.org/*'
     + credits file as part of docs too
     + update 'changelog.html' and 'credits.html'
     + install new modular plugins to '/usr/lib/openbve/Plugins'
     + bump openbve-data (>= 1.4.0.0) hard dependency
   * debian/changelog: DEP5 and bump copyright to latest upstream wording
   * debian/source/format: '3.0 (quilt)'
   * debian/source/options: single-debian-patch
 .
 openbve (1.2.10.0-0ubuntu3) precise; urgency=low
 .
   * debian/control: Add missing dependency (libmono-i18n4.0-all) and remove
     dependency on libmono-i18n4.0-cil as the latter is a dependency of the
     first. Thanks to Paul Childs for the fix and to Paul Sladen for finding a
     dependency simplification. (LP: #877776)
     Adding also ${misc:Depends} to the Depends field and bumping the
     Standards-Version to 3.9.2 (current version).
   * debian/rules: Add build-arch and build-indep recommended targets.
 .
 openbve (1.2.10.0-0ubuntu2) oneiric; urgency=low
 .
   * debian/rules: Skip AtsPluginProxy.dll modulrefs, these are Win32 only.
   * openBVE/OpenBveApi/OpenBveApi.csproj,
     openBVE/OpenBve/OpenBve.csproj: set TargetFrameworkVersion to v4.0.
   * debian/control: Tweak dependencies and build-dependencies for 4.0.
 .
 openbve (1.2.10.0-0ubuntu1) natty; urgency=low
 .
   * New upstream stable version (1.2.10.0)
 .
 openbve (1.2.7.3-0ubuntu3) natty; urgency=low
 .
   * debian/control: Fixed typo in first line of third paragraph of
     the package description-missing 's' in 'based' (LP: #628758)
 .
 openbve (1.2.7.3-0ubuntu2) maverick; urgency=low
 .
   * debian/control: fix minor spelling mistakes (LP: #628758)
 .
 openbve (1.2.7.3-0ubuntu1) maverick; urgency=low
 .
   * New upstream stable version (1.2.7.3)
 .
 openbve (1.2.7.0-0ubuntu1) UNRELEASED; urgency=low
 .
   * New upstream stable version (1.2.7.0)
 .
 openbve (1.2.6.106-0ubuntu1) UNRELEASED; urgency=low
 .
   * New upstream development version (1.2.6.106)
 .
 openbve (1.2.6.105-0ubuntu1) UNRELEASED; urgency=low
 .
   * New upstream development version (1.2.6.105)
 .
 openbve (1.2.6.3-0ubuntu1) maverick; urgency=low
 .
   * New upstream stable version (1.2.6.3)
 .
 openbve (1.2.5.2-0ubuntu1) lucid; urgency=low
 .
   * New upstream stable version (1.2.5.2)
   * Tweak build-deps to use newer tao*-cil-dev packages
 .
 openbve (1.2.5.1-0ubuntu1) lucid; urgency=low
 .
   * New upstream stable version (1.2.5.1)
     fixes (LP: #505299)
   * changelog.html: update (1.2.5.1)
   * rules: explicitly pass 'OpenBve.csproj' to xbuild
   * rules: use xbuild /t:Clean target now that it works
 .
 openbve (1.2.4.5-0ubuntu1) unreleased; urgency=low
 .
   * New upstream development version (1.2.4.5)
 .
 openbve (1.2.4.4-0ubuntu1) lucid; urgency=low
 .
   * New upstream development version (1.2.4.4)
   + fixes autoscaling (LP: #503913)
 .
 openbve (1.2.4.1-0ubuntu1) lucid; urgency=low
 .
   * New upstream development version (1.2.4.1) (LP: #444934)
     fixes (LP: #419523) (LP: #419525) (LP: #419530) (LP: #444462)
   * changelog.html: update (1.2.3.3)
 .
 openbve (1.2.2.0-0ubuntu1) unreleased; urgency=low
 .
   * New upstream stable version (1.2.2.0) (LP: #444934)
   * changelog.html: update (1.2.2.0)
   * releasenotes.html: update (1.2.1.3)
   * Add NEWS.Debian to docs
 .
 openbve (1.2.0.3-0ubuntu1) karmic; urgency=low
 .
   * New upstream stable version (1.2.0.3)
   * debian/copyright: update to reflect minor wording changes
   * debian/rules: "./rules fetch-html" for {changelog,releasenotes}.html
   * changelog.html: update (1.2.0.3)
   * releasenotes.html: update (1.2.0.0)
   * debian/rules: DEBUG_CONFIGURATION=Release to switch codepaths used
   * debian/control: openbve-data (>= 1.2.0.3+dfsg)
 .
 openbve (1.1.1.0-0ubuntu1) unreleased; urgency=low
 .
   * New upstream development version (1.1.1.0)
   * debian/control: rev 'openbve-data' dependency (new strings)
 .
 openbve (1.0.7.2-0ubuntu1) karmic; urgency=low
 .
   * New upstream version (1.0.7.2)
   * Update changelog.html (1.0.7.2)
 .
 openbve (1.0.6.7-0ubuntu1) unreleased; urgency=low
 .
   * Add WatchdogExit() to take care of deadlocks in library shutdown
   * New upstream version (1.0.6.7)
 .
 openbve (1.0.6.2-0ubuntu1) unreleased; urgency=low
 .
   * New upstream version (1.0.6.2)
   * Update 'debian/known-issues.txt'
   * Update 'openbve-data' Depends: >= 1.0.6.0+dfsg
   * Drop try..catch around saving of logs (should be handled by
     separate patch applied by upstream.
   * Update changelog.html (1.0.6.2)
 .
 openbve (1.0.6.0-0ubuntu1) unreleased; urgency=low
 .
   * New upstream version (1.0.6.0)
   * Make dropping out of full-screen *very* first priority
   * Update changelog.html (1.0.6.0) and releasenotes.html (1.0.5.0)
   * Update known-issues.txt
 .
 openbve (1.0.2.0-0ubuntu2) jaunty; urgency=low
 .
   * Explicitly depend on 'libmono-i18n2.0-cil' (LP: #356487)
   * Backport homepage update to 'http://openbve.trainsimcentral.co.uk/'
   + and fix packaging to reflect
   * Expand debian/copyright based on feedback for acceptance into Debian
 .
 openbve (1.0.2.0-0ubuntu1) jaunty; urgency=low
 .
   * New upstream version (bugfix release) (LP: #356344)
   * debian/rules: tweak to allow easy building of Debug or Release target
   * pass '/fhs' from the mono wrapper instead of hardcoding
   * overload GetSettingsFolder() to create the config directory before return it
   * Load first-use Keyboard mapping from GetDataFolder("Controls") not ~/
   * Default first-use game data from /usr/share/games/bve/{Railway/Route,Train}
   * Update 'openbve-data' Depends: >= 1.0.2.0+dfsg
   * Load timetables relative to route directory, not trainpath
   + disable spurious Train folder warning, as existance is not required later
   * Don't display hidden .files and .folders in ListViews
   * Include 'changelog.html' and 'releasenotes.html' downloaded from the website
   * Fix case in manpage documentation for '~/.config/OpenBve/'
   * Add README.Debian covering Debian-centric patches
   * Update 'known-issues.txt'
   * Print + try...except{} around path used in LoadOptions() (debugging)
   * Pacify lintian checker
   * Leave fullscreen before deinitialisation to reduce risk of leaving a mess
 .
 openbve (0.9.5.5-0ubuntu3) unreleased; urgency=low
 .
   * Tweak manpage
 .
 openbve (0.9.5.5-0ubuntu2) jaunty; urgency=low
 .
   * Fix FTBFS: 'libtaoframework-openal1.1-cil' and 'libmono-winforms2.0-cil'
     plus move 'mono-xbuild' from -Indep (for clean target).
   * Use optimised compiler target (Release, instead of Debug)
   * Use '/usr/share/games/bve/' as default train/route location
   * Only whinge about plugins not being available if 'ats.cfg' exists
   * Don't display hidden .files and .folders in ListViews
   * Update manpage with initial tab options
   * Disable spurious Train folder warning message,
     as existance is not required later
   * Handle ll-CC default langauge selection and fall back to just ll.
   * Use Sdl_WM_SetIcon() on all platforms
   * Bump openbve-data (>= 0.9.5.5+dfsg-0ubuntu3) dependency
   * Load timetables relative to route directory, not trainpath
 .
 openbve (0.9.5.5-0ubuntu1) jaunty; urgency=low
 .
   * New upstream release 0.9.5.5, dated 20090217-2228
   * Initial release (LP: #331188)
 .
 openbve (0.9.5.0-0ubuntu1) unreleased; urgency=low
 .
   * import 0.9.5.0, dated 20090201-1953
Checksums-Sha1: 
 c153083d389d2394c88669634f79d8a1b67e4e9a 2126 openbve_1.4.0.5-1.dsc
 b7b5597fc703a672ffea7fe6d1af66b9635c03dd 381034 openbve_1.4.0.5.orig.tar.gz
 8608b0ee64041cb9bd7639348d8803d6a383d44b 43719 openbve_1.4.0.5-1.debian.tar.gz
 9629d7430d3e3eb62151a93d5853e64e582de099 375856 openbve_1.4.0.5-1_all.deb
Checksums-Sha256: 
 6cdc2cc313272b6d2fb96603041ba6dd09572a7fe04c281a141df48f1569a0f3 2126 openbve_1.4.0.5-1.dsc
 943b63576f79280bd88d879ba7ce9c14ed7e101c7489e4da6a188924a8c4dd0a 381034 openbve_1.4.0.5.orig.tar.gz
 03b5d444e899d35f588ec6396d5e883bcb97757df1b3e6cd15eeb7b58ed0febc 43719 openbve_1.4.0.5-1.debian.tar.gz
 20731a0bfd4d8a719d3ceecffceba7d5851f6bc9a31d525ca5045a868f831926 375856 openbve_1.4.0.5-1_all.deb
Files: 
 93309daf8a6f634d0200f201614e0e6c 2126 games optional openbve_1.4.0.5-1.dsc
 c08a96def77d9a079f8b73370d4c3b78 381034 games optional openbve_1.4.0.5.orig.tar.gz
 29c37210cc8f9de5b237a1155728c0dc 43719 games optional openbve_1.4.0.5-1.debian.tar.gz
 42fd14f7b2e15659b8f6bb7f8e2d7984 375856 games optional openbve_1.4.0.5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPHfBCAAoJEONS1cUcUEHUnw8P/iXnYdTmW2CyqSPafXoECrhn
uAYY8D1FqaePkTC2gq3qZn3w1dbIpRTR3zViFej6ngFAU7MCpe74gN2qIGhLWw53
mRGfQ5JI/hl+0lNX7eULr9a7BmM3I2/VLBLVnx5lMasOSoOLx0OXDeEQB+oeFz8b
gWj3Mv4vyiUpHeFrWgncVcn8brh72w3NOxExv5QpOPuSXwKI/cI/RWYwBuyeFyIi
goUdKrC8lbSEQlwKtgSCtGkYGC27YkTNu96sWTZv7dnpkocNjJaeveYIv/PJdaqK
V0hatcIyDRK/cq0aqY23s+JBkPc85SyF1DtIUhGcafroVldaDGMCwEaZ6suXEeJK
QP1TlQI0H8OCNq8RAxdEDMmCxQHbVvvxAQqX2VxPXmFsxHFjJJPYN5MtAd3X1dnY
db4cDyVSOefDvDpTpV4FOCTL7Yi8bM3QX2f3/mJgjbuQsTVjn6b6ikCv24uOgxgj
d7szCZowFrXtZiwgIaDsaWIErySdicOPeV/7/h4T/TRP6C/A3bSOByC6Koc5m0so
Qh4qcGS914B1AZmuvtl+37xAcwo51+J4ZC4UUFrYR6IK0Nxn0wfSaVnuM8Xr5as6
E60SI1AC2iWqN4Ve8ENOp9hxabmH928+iOEaLhi/2LO+Ji1qsvDCvblypXHIx8rt
oCCbNI6n/tDVf9mF45U8
=MaeH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Feb 2012 07:37:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:33:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.